Cyberduck Mountain Duck CLI

#1628 closed defect (fixed)

LIST bug

Reported by: cyberduck.ch@… Owned by: dkocher
Priority: normal Milestone: 3.0.2
Component: ftp Version: 3.0b1
Severity: blocker Keywords: CVJvMzpe
Cc: Architecture:
Platform:

Description (last modified by dkocher)

According to RFC959, the command list has 1 optional arguement: pathname. Cyberduck appends the option "-a" to the list command, eg "LIST -a". Unless there is a newer RFC that says otherwise, this behaviour is incorrect.

Error message from JFTP:

2008-01-17 09:40:58 FTP 10.32.32.193 1651422152  Command: LIST -a Error: No such file or directory

Change History (9)

comment:1 follow-up: Changed on Jan 17, 2008 at 1:33:00 PM by dkocher

  • Description modified (diff)

It should fallback to use the plain "LIST" command if "LIST -a" fails. Does it not? We use the -a option because many servers do not return files with a leading "." otherwise.

comment:2 in reply to: ↑ 1 Changed on Feb 1, 2008 at 11:57:59 AM by arve@…

It doesnt fallback to plain "LIST" when "LIST -a" fails... I have the newest version...

250 Ok PASV 227 Entering Passive Mode (213,179,58,81,123,15) LIST -a 150 Accepted data connection 500 No such file or directory

Replying to dkocher:

It should fallback to use the plain "LIST" command if "LIST -a" fails. Does it not? We use the -a option because many servers do not return files with a leading "." otherwise.

comment:3 follow-up: Changed on Feb 22, 2008 at 11:14:59 PM by theodorouj@…

didn't an earlier version contain an option to UN check the box to send a "List-a" command??

comment:4 in reply to: ↑ 3 ; follow-up: Changed on Feb 24, 2008 at 11:13:01 AM by dkocher

Replying to theodorouj@cadmus.com:

This is no more an option in the Preferences as it is supposed to fallback on failure. You can still set the option using Terminal.app with

defaults write ch.sudo.cyberduck ftp.sendExtendedListCommand false

comment:5 in reply to: ↑ 4 Changed on Apr 16, 2008 at 2:39:05 PM by cd@…

  • Version changed from 2.8.3 to 3.0b1

It is not falling back, specifically when talking to MassTransit servers (in my case). Can we add this option back, as well as keep the "failback"?

comment:6 Changed on Apr 17, 2008 at 6:26:25 AM by dkocher

  • Milestone set to 3.0
  • Status changed from new to assigned

comment:7 Changed on Apr 17, 2008 at 7:20:48 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r3785.

comment:9 Changed on Jul 16, 2008 at 10:45:02 PM by dkocher

  • Milestone changed from 3.0 to 3.0.2
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:10 Changed on Jul 21, 2008 at 3:20:51 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software